Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.il.oil2
Class OIL2ClientIL

    java.lang.Object
      org.jboss.mq.il.oil2.OIL2ClientIL

All Implemented Interfaces:
  ClientIL, Serializable

public final class OIL2ClientIL
extends Object
implements ClientIL, Serializable

The OIL2 implementation of the ClientIL object

Version:
  $Revision:$
Author:
  Hiram Chirino
See Also:
  Serialized Form

Constructor Summary
`OIL2ClientIL()`

Method Summary
`void` | `close()` #Description of the Method
`void` | `deleteTemporaryDestination(SpyDestination dest)` #Description of the Method
`void` | `pong(long serverTime)` #Description of the Method
`void` | `receive(ReceiveRequest[] messages)` #Description of the Method
`void` | `setRequestListner(OIL2ServerILService.RequestListner requestListner)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OIL2ClientIL

    public OIL2ClientIL()

Method Detail

### setRequestListner

    public void setRequestListner(OIL2ServerILService.RequestListner requestListner)

### close

    public void close()
               throws Exception

  #Description of the Method

  Specified by:
    `close` in interface `ClientIL`
  Throws:
    `Exception` - Description of Exception

### deleteTemporaryDestination

    public void deleteTemporaryDestination(SpyDestination dest)
                                    throws Exception

  #Description of the Method

  Specified by:
    `deleteTemporaryDestination` in interface `ClientIL`
  Parameters:
    `dest` - Description of Parameter
  Throws:
    `Exception` - Description of Exception

### pong

    public void pong(long serverTime)
              throws Exception

  #Description of the Method

  Specified by:
    `pong` in interface `ClientIL`
  Parameters:
    `serverTime` - Description of Parameter
  Throws:
    `Exception` - Description of Exception

### receive

    public void receive(ReceiveRequest[] messages)
                 throws Exception

  #Description of the Method

  Specified by:
    `receive` in interface `ClientIL`
  Parameters:
    `messages` - Description of Parameter
  Throws:
    `Exception` - Description of Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.